Loading...
Searching...
No Matches
L4::Types::Flags_t< DT, T > Struct Template Reference

Template type to define a flags type with bitwise operations. More...

`#include <types>`

Inheritance diagram for L4::Types::Flags_t< DT, T >:
Collaboration diagram for L4::Types::Flags_t< DT, T >:

## Public Member Functions

| Flags_t ()=default
| Default (uninitializing) costructor.
constexpr | Flags_t (T f)
| Explicit initialization from the underlying type.
Public Member Functions inherited from L4::Types::Flags_ops_t< Flags_t< DT, T > >
DT | operator|= (DT r)
| bitwise or assignment for DT
DT | operator&= (DT r)
| bitwise and assignment for DT
constexpr | operator bool () const
| explicit conversion to bool for tests
constexpr DT | operator~ () const
| bitwise negation for DT

## Data Fields

T | raw
| Raw integral value.

## Detailed Description

template<typename DT, typename T>
struct L4::Types::Flags_t< DT, T >

Template type to define a flags type with bitwise operations.

Template Parameters

  DT | determinator type to make the resulting type unique (unused).
  T | underlying type used to store the bits, usually an integral type.

Definition at line 272 of file types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/types